get
/api/v2/actionsList action recommendations. WatchLLM extension, not confirmed Promptwatch public REST parity.
List action recommendations. WatchLLM extension, not confirmed Promptwatch public REST parity.
Requires bearer API key
Parameters
view
query
Action board view.
Schema: string (active, dismissed, snoozed)
status
query
Filter by action status.
Schema: string (to_do, in_progress, done, dismissed)
severity
query
Filter by action severity.
Schema: string (high, medium, low)
type
query
Filter by action type.
Schema: string
query
query
Filter by title or recommendation search.
Schema: string
page
query
Page number.
Schema: integer
size
query
Page size.
Schema: integer
Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": false,
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"title": {
"type": "string"
},
"type": {
"type": "string"
},
"severity": {
"type": "string",
"enum": [
"high",
"medium",
"low"
]
},
"status": {
"type": "string",
"enum": [
"to_do",
"in_progress",
"done",
"dismissed"
]
},
"assignee": {
"type": "string",
"nullable": true
},
"dueAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"snoozedUntil": {
"type": "string",
"format": "date-time",
"nullable": true
},
"recommendation": {
"type": "string"
},
"ctaLabel": {
"type": "string"
},
"ctaRoute": {
"type": "string"
},
"benefitBullets": {
"type": "array",
"items": {
"type": "string"
}
},
"metadata": {
"type": "object",
"additionalProperties": true
},
"addedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"title",
"type",
"severity",
"status",
"recommendation",
"ctaLabel",
"ctaRoute",
"benefitBullets",
"metadata",
"addedAt"
]
}
},
"total": {
"type": "integer"
},
"page": {
"type": "integer"
},
"size": {
"type": "integer"
},
"totalPages": {
"type": "integer"
}
},
"required": [
"items",
"total",
"page",
"size",
"totalPages"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.